New Search

Report Viewer Controls XSS Vulnerability

oval:org.mitre.oval:def:12773

Cross-site scripting (XSS) vulnerability in the Report Viewer Control in Microsoft Visual Studio 2005 SP1 and Report Viewer 2005 SP1 allows remote attackers to inject arbitrary web script or HTML via a parameter in a data source aka "Report Viewer Controls XSS Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2011-1976
Product(s):
  • Microsoft Report Viewer 2005
  • Microsoft Visual Studio 2005